summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorChristian Goetze (CG) <cg@lindenlab.com>2010-10-08 13:02:39 -0700
committerChristian Goetze (CG) <cg@lindenlab.com>2010-10-08 13:02:39 -0700
commit48c2b2496d3ed6aeeebb0bc8950725f8ef7e305f (patch)
tree4cb7d9e1447ae4ea834cd6fc85913c43286e701d /build.sh
parentd25a30e55b7e6a20173c3a53891489adc5610d72 (diff)
Have build.sh print out info usable by open source devs. Have it check for a README and use that if needed.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 25ff0f368d..9b4d4a16dc 100755
--- a/build.sh
+++ b/build.sh
@@ -114,11 +114,15 @@ then
if [ -x "$top/../buildscripts/hg/bin/build.sh" ]
then
exec "$top/../buildscripts/hg/bin/build.sh" "$top"
+ elif [ -r "$top/README" ]
+ then
+ cat "$top/README"
+ exit 1
else
cat <<EOF
This script, if called in a development environment, requires that the branch
independent build script repository be checked out next to this repository.
-This repository is located at http://hg.lindenlab.com/parabuild/buildscripts
+This repository is located at http://hg.secondlife.com/buildscripts
EOF
exit 1
fi